<?php
/* Copyright (C) 2017       Laurent DINCLAUX (loxK)   <laurent@gecka.nc>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class Actionsgeckanewcaledonia
{
    /**
     * Overloading the doActions function : replacing the parent's function with the one below
     *
     * @param   array() $parameters Hook metadatas (context, etc...)
     * @param   CommonObject &$object The object to process (an invoice if you are in invoice module, a propale in propale's module, etc...)
     * @param   string &$action Current action (if set). Generally create or edit or null
     * @param   HookManager $hookmanager Hook manager propagated to allow calling another hook
     *
     * @return  int                             < 0 on error, 0 on success, 1 to replace standard code
     */
    function pdf_getlinevatrate($parameters, &$object, &$action, $hookmanager)
    {

        global $conf;

        $i = $parameters['i'];

        $_conf = $conf->global->GKNC_TEMPLATE_TAXE_COLUMN;
        if ($conf->global->FACTURE_LOCAL_TAX1_OPTION != 'localtax1on' && $conf->global->FACTURE_LOCAL_TAX2_OPTION != 'localtax2on') {
            $_conf = '1';
        }

        if ($_conf === '2' && empty($this->resprints)) {
            $tax_rate = $object->lines[ $i ]->tva_tx;

            if (in_array($object->lines[ $i ]->localtax1_type, array( 1, 3, 5 ))) {
                $tax_rate += $object->lines[ $i ]->localtax1_tx;
            }

            if (in_array($object->lines[ $i ]->localtax2_type, array( 1, 3, 5 ))) {
                $tax_rate += $object->lines[ $i ]->localtax2_tx;
            }
            $this->resprints = vatrate($tax_rate, 1, $object->lines[$i]->info_bits, 1);
            return 1; // or return 1 to replace standard code
        }
    }
}
